import request from '@/utils/request'

// 查询生产编排单列表
export function getListData(query) {
  return request({
    url: `/mes/pro/taskWorkunit/list?pageNum=${query.pageNum}&pageSize=${query.pageSize}`,
    method: "post",
    data: query,
  });
}

// 修改生产任务数据
export function updateList(query) {
  return request({
    url: "/mes/pro/taskWorkunit/update",
    method: "post",
    data: query,
  });
}
// 下达生产
export function makeProduction(query) {
  return request({
    url: "/mes/pro/taskWorkunit/makeProduction",
    method: "post",
    data: query,
  });
}

// 排程
export function makeSchedule(query) {
  return request({
    url: "/mes/pro/protask/schedule",
    method: "post",
    data: query,
  });
}
